# Hoe installeer ik mijn EMS e-Commerce Gateway HPP?

Ondernemers die de EMS e-Commerce Gateway HPP gaan gebruiken in hun webwinkel kunnen onderstaande stappen volgen om de internetkassa te installeren. Krijgt u hulp van een webontwikkelaar? Laat hem dan deze instructies dan ook zien.

Voor de installatie van de EMS e-Commerce Gateway HPP variant heeft u de volgende zaken nodig:

*	De activatiemail die u van ons heeft ontvangen met daarin:
	*	Test- én activatiegegevens voor de installatie van de HPP variant;
	*	Twee beveiligingscertificaten (als zip-bestand) inclusief codes:
		*	Een certificaat voor de test-omgeving van de EMS e-Commerce Gateway.
		*	Een certificaat voor de live-omgeving van de EMS e-Commerce Gateway.
	*	Een e-mail met wachtwoorden voor de beveiligingscertificaat en online beheermodule van de EMS e-Commerce Gateway.
	*	De [Installation Manual EMS e-Commerce Gateway HPP][doc-api-feb-2016] voor de technische installatie.
	*	De [Gebruikershandleiding EMS e-Commerce Gateway][doc-han-feb-2016] voor het instellen van uw internetkassa in de online beheermodule.

## Tijdsduur voor installatie van de HPP variant

*	Voor het instellen van de EMS e-Commerce Gateway in de online beheermodule heeft u ongeveer 2 uur nodig.
*	De installatietijd van de HPP variant duurt tot 2 dagen. Overleg met uw webontwikkelaar voor meer informatie.
	*	Als u gebruikt maakt van de Sellxed Plug-in is de installatietijd 2 tot 3 uur.

Mocht u tijdens de installatie of het instellen van uw EMS e-Commerce Gateway vragen hebben, neem dan contact op met onze [klantenservice](https://emscard.nl/over-ems/contact).

## Het installatieproces in drie stappen uitgelegd

1.	Installeer de test-omgeving van uw EMS e-Commerce Gateway HPP. In deze stap zorgt u dat de EMS e-Commerce Gateway goed op uw webwinkel wordt aangesloten, en doet u test-transacties om te controleren dat de installatie goed is gedaan.
	*	Installeer het beveiligingscertificaat voor de test-omgeving op het apparaat waarop u de EMS e-Commerce Gateway gaat installeren. Dat kunnen meerdere apparaten zijn, bijvoorbeeld uw smartphone of de computers van uw medewerkers. De installatie van het beveiligingscertificaat duurt ongeveer vijf minuten per apparaat. Gebruik de informatie die u in het activatiemail van EMS heeft ontvangen.
		*	Volg de instructies in de [Gebruikershandleiding EMS e-Commerce Gateway][doc-han-feb-2016] op blz 5.
		*	Alles wat u in de test-omgeving instelt wordt niet opgeslagen in de live-omgeving. Wij raden u daarom af alle instellingen in de online beheermodule nu al in te richten. Dit kost u alleen meer tijd.
	*	Installeer uw HPP. Gebruik hiervoor de technische-installatiehandleiding: [Installation Manual EMS e-Commerce Gateway HPP][doc-api-feb-2016]. De technische installatie laat u eventueel door uw webontwikkelaar doen, aangezien dit technische kennis vereist.
		*	In deze stap worden test-transacties gedaan. Zorg dat deze transacties goed gaan voordat u verder gaat.
		*	U kunt in de test-omgeving van de online beheermodule tests doen met transacties.
		*	Als u gebruikt maakt van de Sellxed plug-in voor snelle installatie (een kwestie van uren), volg dan de instructies die u bij uw plug-in heeft gekregen. Deze instructies zijn specifiek voor uw shoppingcart systeem. Voor vragen hierover kunt u terecht bij de [helpdesk van Customweb](https://www.sellxed.com/en/support).
2.	Installeer de live-omgeving van de e-Commerce Gateway. Hierin zorgt u ervoor dat klanten daadwerkelijk transacties kunnen doen.
	*	Installeer het beveiligingscertificaat voor de live-omgeving op het apparaat waarop u de EMS e-Commerce Gateway gaat beheren. Dat kunnen meerdere apparaten zijn, bijvoorbeeld uw smartphone of de computers van uw medewerkers. De installatie van het beveiligingscertificaat duurt ongeveer vijf minuten per apparaat. Gebruik de informatie die u in het activatiemail van EMS heeft ontvangen.
		*	Volg hiervoor de instructies in de [Gebruikershandleiding EMS e-Commerce Gateway][doc-han-feb-2016] op blz 5.
	*	Stel de EMS e-Commerce Gateway in in de [online beheermodule](https://www.ipg-online.com/vt/login). Dit duurt ongeveer twee uur. In die tijd stelt u onder andere de volgende onderdelen in: de betaalpagina die uw klanten  zien, de bevestigingsmails die uw klanten ontvangen na het afronden van een betaling, en u stelt de anti-fraude instellingen in.
		*	Volg hiervoor de instructies uit de [Gebruikershandleiding EMS e-Commerce Gateway][doc-han-feb-2016]], vanaf bladzijde 6.
		*	Alles wat u in de live-omgeving instelt wordt daadwerkelijk in transacties toegepast.
	*	Activeer de EMS e-Commerce Gateway HPP door de activatiegegevens in te voeren. Deze heeft u in de activatiemails ontvangen. De activatie laat u eventueel door uw webontwikkelaar doen.
		*	Gebruik juiste technische-installatiehandleiding: [Installation Manual EMS e-Commerce Gateway HPP][doc-api-feb-2016].
		*	Als u gebruikt maakt van de Sellxed plug-in, volg de bijbehorende instructies om de activatiegegevens in te voeren. Voor vragen over de Sellxed plug-in kunt u terecht bij de [helpdesk van Customweb](https://www.sellxed.com/en/support).
3.	Neem de EMS e-Commerce Gateway in gebruik.
	*	Zodra de activatiegegevens juist zijn ingevoerd kunt u webshopbetalingen accepteren.
	*	U ziet uw omzetcijfers terug in de online beheermodule.
	*	Detailinformatie over de status van transacties, uitbetalingen en kosten kunt u terugvinden in [EMS Reports](https://emscard.nl/support/hoe-log-ik-ems-reports).

Wij wensen u veel succes met uw webwinkel. Als wij u ergens mee kunnen helpen, neem dan [contact](https://emscard.nl/over-ems/contact) met ons op. Wij helpen u graag.

[doc-api-feb-2016]: https://www.pronamic.eu/wp-content/uploads/sites/2/2016/06/EMS-e-Commerce-Gateway-Manual-API-installation-2016-2-NL-EN.pdf
[doc-hpp-feb-2016]: https://www.pronamic.eu/wp-content/uploads/sites/2/2016/06/EMS-e-Commerce-Gateway-Manual-HPP-installation-2016-2-NL-EN.pdf
[doc-han-feb-2016]: https://www.pronamic.eu/wp-content/uploads/sites/2/2016/06/Gebruikershandleiding-EMS-e-Commerce-Gateway-2016-3-NL-NL_0.pdf

**Source:** https://emscard.nl/support/hoe-neem-ik-mijn-ems-e-commerce-gateway-hpp-in-gebruik  

